package superuserPOC.server;

import com.intellij.openapi.diagnostic.Logger;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.Date;
import java.util.UUID;
import jetbrains.buildServer.log.Loggers;

/**
 * @author Yegor.Yarko
 *         Date: 19.11.12
 */
public class SuperUserData {
  public static final String USERNAME_PARAMETER_NAME = "godmodeUser";
  public static final String TOKEN_PARAMETER_NAME = "godmodeToken";
  final static Logger LOG = Logger.getInstance(SuperUserData.class.getName());
  String authenticationToken;

  public SuperUserData() {
    try {
      authenticationToken = URLEncoder.encode(UUID.randomUUID().toString() + (new Date()).toString().hashCode(), "UTF-8");
    } catch (UnsupportedEncodingException e) {
      Loggers.SERVER.error(e);
    }
  }

  public String getAuthenticationToken() {
    return authenticationToken;
  }

}
